8d69e25ceb456d0d09a282f462e708a355cb6ab0
[scilab.git] / scilab / modules / fftw / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2007 - INRIA - Sylvestre LEDRU
19 # Copyright (C) 2007 - INRIA - Allan CORNET
20 #
21 # Copyright (C) 2012 - 2016 - Scilab Enterprises
22 #
23 # This file is hereby licensed under the terms of the GNU GPL v2.0,
24 # pursuant to article 5.3.4 of the CeCILL v.2.1.
25 # This file was originally licensed under the terms of the CeCILL v2.1,
26 # and continues to be available under such terms.
27 # For more information, see the COPYING file which you should have received
28 # along with this program.
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # Copyright (C) 2012 - 2016 - Scilab Enterprises
35 #
36 # This file is hereby licensed under the terms of the GNU GPL v2.0,
37 # pursuant to article 5.3.4 of the CeCILL v.2.1.
38 # This file was originally licensed under the terms of the CeCILL v2.1,
39 # and continues to be available under such terms.
40 # For more information, see the COPYING file which you should have received
41 # along with this program.
42 #
43
44 ##########
45 ### Makefile included stuff
46 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
47 ##########
48
49
50 VPATH = @srcdir@
51 am__is_gnu_make = { \
52   if test -z '$(MAKELEVEL)'; then \
53     false; \
54   elif test -n '$(MAKE_HOST)'; then \
55     true; \
56   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
57     true; \
58   else \
59     false; \
60   fi; \
61 }
62 am__make_running_with_option = \
63   case $${target_option-} in \
64       ?) ;; \
65       *) echo "am__make_running_with_option: internal error: invalid" \
66               "target option '$${target_option-}' specified" >&2; \
67          exit 1;; \
68   esac; \
69   has_opt=no; \
70   sane_makeflags=$$MAKEFLAGS; \
71   if $(am__is_gnu_make); then \
72     sane_makeflags=$$MFLAGS; \
73   else \
74     case $$MAKEFLAGS in \
75       *\\[\ \   ]*) \
76         bs=\\; \
77         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
78           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
79     esac; \
80   fi; \
81   skip_next=no; \
82   strip_trailopt () \
83   { \
84     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
85   }; \
86   for flg in $$sane_makeflags; do \
87     test $$skip_next = yes && { skip_next=no; continue; }; \
88     case $$flg in \
89       *=*|--*) continue;; \
90         -*I) strip_trailopt 'I'; skip_next=yes;; \
91       -*I?*) strip_trailopt 'I';; \
92         -*O) strip_trailopt 'O'; skip_next=yes;; \
93       -*O?*) strip_trailopt 'O';; \
94         -*l) strip_trailopt 'l'; skip_next=yes;; \
95       -*l?*) strip_trailopt 'l';; \
96       -[dEDm]) skip_next=yes;; \
97       -[JT]) skip_next=yes;; \
98     esac; \
99     case $$flg in \
100       *$$target_option*) has_opt=yes; break;; \
101     esac; \
102   done; \
103   test $$has_opt = yes
104 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
105 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
106 pkgdatadir = $(datadir)/@PACKAGE@
107 pkgincludedir = $(includedir)/@PACKAGE@
108 pkglibdir = $(libdir)/@PACKAGE@
109 pkglibexecdir = $(libexecdir)/@PACKAGE@
110 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
111 install_sh_DATA = $(install_sh) -c -m 644
112 install_sh_PROGRAM = $(install_sh) -c
113 install_sh_SCRIPT = $(install_sh) -c
114 INSTALL_HEADER = $(INSTALL_DATA)
115 transform = $(program_transform_name)
116 NORMAL_INSTALL = :
117 PRE_INSTALL = :
118 POST_INSTALL = :
119 NORMAL_UNINSTALL = :
120 PRE_UNINSTALL = :
121 POST_UNINSTALL = :
122 build_triplet = @build@
123 host_triplet = @host@
124 @FFTW_TRUE@am__append_1 = libscifftw-algo.la
125 @NEED_JAVA_TRUE@am__append_2 = java
126 subdir = modules/fftw
127 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
128 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
129         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
130         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
131         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
132         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
133         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
134         $(top_srcdir)/m4/intel_compiler.m4 \
135         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
136         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
137         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
138         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
139         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
140         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
141         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
142         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
143         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
144         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
145         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
146 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
147         $(ACLOCAL_M4)
148 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
149 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
150 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
151 CONFIG_CLEAN_FILES =
152 CONFIG_CLEAN_VPATH_FILES =
153 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
154 am__vpath_adj = case $$p in \
155     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
156     *) f=$$p;; \
157   esac;
158 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
159 am__install_max = 40
160 am__nobase_strip_setup = \
161   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
162 am__nobase_strip = \
163   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
164 am__nobase_list = $(am__nobase_strip_setup); \
165   for p in $$list; do echo "$$p $$p"; done | \
166   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
167   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
168     if (++n[$$2] == $(am__install_max)) \
169       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
170     END { for (dir in files) print dir, files[dir] }'
171 am__base_list = \
172   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
173   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
174 am__uninstall_files_from_dir = { \
175   test -z "$$files" \
176     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
177     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
178          $(am__cd) "$$dir" && rm -f $$files; }; \
179   }
180 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
181         "$(DESTDIR)$(libscifftw_la_etcdir)" \
182         "$(DESTDIR)$(libscifftw_la_rootdir)"
183 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
184 libscifftw_algo_la_LIBADD =
185 am__libscifftw_algo_la_SOURCES_DIST = src/c/callfftw.c \
186         src/c/fftwlibname.c src/c/fftw_utilities.c src/c/with_fftw.c \
187         src/nofftw/nofftw.cpp src/cpp/fftw_common.cpp
188 am__dirstamp = $(am__leading_dot)dirstamp
189 @FFTW_TRUE@am__objects_1 = src/c/libscifftw_algo_la-callfftw.lo \
190 @FFTW_TRUE@     src/c/libscifftw_algo_la-fftwlibname.lo \
191 @FFTW_TRUE@     src/c/libscifftw_algo_la-fftw_utilities.lo \
192 @FFTW_TRUE@     src/c/libscifftw_algo_la-with_fftw.lo
193 @FFTW_FALSE@am__objects_2 = src/nofftw/libscifftw_algo_la-nofftw.lo
194 @FFTW_TRUE@am__objects_2 = src/cpp/libscifftw_algo_la-fftw_common.lo
195 @FFTW_TRUE@am_libscifftw_algo_la_OBJECTS = $(am__objects_1) \
196 @FFTW_TRUE@     $(am__objects_2)
197 libscifftw_algo_la_OBJECTS = $(am_libscifftw_algo_la_OBJECTS)
198 AM_V_lt = $(am__v_lt_@AM_V@)
199 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
200 am__v_lt_0 = --silent
201 am__v_lt_1 = 
202 @FFTW_TRUE@@MAINTAINER_MODE_FALSE@am_libscifftw_algo_la_rpath =
203 @FFTW_TRUE@@MAINTAINER_MODE_TRUE@am_libscifftw_algo_la_rpath =
204 am__DEPENDENCIES_1 =
205 @FFTW_TRUE@libscifftw_la_DEPENDENCIES = libscifftw-algo.la \
206 @FFTW_TRUE@     $(am__DEPENDENCIES_1)
207 am__libscifftw_la_SOURCES_DIST = src/nofftw/nofftw.cpp \
208         src/cpp/fftw_common.cpp \
209         sci_gateway/c/sci_fftwlibraryisloaded.c \
210         sci_gateway/c/sci_disposefftwlibrary.c \
211         sci_gateway/c/sci_fftw_flags.c \
212         sci_gateway/c/sci_loadfftwlibrary.c \
213         sci_gateway/c/sci_get_fftw_wisdom.c \
214         sci_gateway/c/sci_set_fftw_wisdom.c \
215         sci_gateway/c/sci_fftw_forget_wisdom.c \
216         sci_gateway/cpp/fftw_gw.cpp sci_gateway/cpp/sci_fftw.cpp \
217         sci_gateway/cpp/sci_dst.cpp sci_gateway/cpp/sci_dct.cpp
218 @FFTW_FALSE@am__objects_3 = src/nofftw/libscifftw_la-nofftw.lo
219 @FFTW_TRUE@am__objects_3 = src/cpp/libscifftw_la-fftw_common.lo
220 @FFTW_TRUE@am__objects_4 = sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo \
221 @FFTW_TRUE@     sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo \
222 @FFTW_TRUE@     sci_gateway/c/libscifftw_la-sci_fftw_flags.lo \
223 @FFTW_TRUE@     sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo \
224 @FFTW_TRUE@     sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo \
225 @FFTW_TRUE@     sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo \
226 @FFTW_TRUE@     sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo
227 @FFTW_TRUE@am__objects_5 = sci_gateway/cpp/libscifftw_la-fftw_gw.lo \
228 @FFTW_TRUE@     sci_gateway/cpp/libscifftw_la-sci_fftw.lo \
229 @FFTW_TRUE@     sci_gateway/cpp/libscifftw_la-sci_dst.lo \
230 @FFTW_TRUE@     sci_gateway/cpp/libscifftw_la-sci_dct.lo
231 @FFTW_FALSE@am_libscifftw_la_OBJECTS = $(am__objects_3)
232 @FFTW_TRUE@am_libscifftw_la_OBJECTS = $(am__objects_4) \
233 @FFTW_TRUE@     $(am__objects_5)
234 libscifftw_la_OBJECTS = $(am_libscifftw_la_OBJECTS)
235 libscifftw_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
236         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
237         $(AM_CXXFLAGS) $(CXXFLAGS) $(libscifftw_la_LDFLAGS) $(LDFLAGS) \
238         -o $@
239 @MAINTAINER_MODE_FALSE@am_libscifftw_la_rpath =
240 @MAINTAINER_MODE_TRUE@am_libscifftw_la_rpath = -rpath $(pkglibdir)
241 AM_V_P = $(am__v_P_@AM_V@)
242 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
243 am__v_P_0 = false
244 am__v_P_1 = :
245 AM_V_GEN = $(am__v_GEN_@AM_V@)
246 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
247 am__v_GEN_0 = @echo "  GEN     " $@;
248 am__v_GEN_1 = 
249 AM_V_at = $(am__v_at_@AM_V@)
250 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
251 am__v_at_0 = @
252 am__v_at_1 = 
253 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
254 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
255 am__depfiles_maybe = depfiles
256 am__mv = mv -f
257 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
258         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
259 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
260         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
261         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
262         $(AM_CFLAGS) $(CFLAGS)
263 AM_V_CC = $(am__v_CC_@AM_V@)
264 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
265 am__v_CC_0 = @echo "  CC      " $@;
266 am__v_CC_1 = 
267 CCLD = $(CC)
268 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
269         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
270         $(AM_LDFLAGS) $(LDFLAGS) -o $@
271 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
272 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
273 am__v_CCLD_0 = @echo "  CCLD    " $@;
274 am__v_CCLD_1 = 
275 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
276         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
277 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
278         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
279         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
280         $(AM_CXXFLAGS) $(CXXFLAGS)
281 AM_V_CXX = $(am__v_CXX_@AM_V@)
282 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
283 am__v_CXX_0 = @echo "  CXX     " $@;
284 am__v_CXX_1 = 
285 CXXLD = $(CXX)
286 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
287         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
288         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
289 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
290 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
291 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
292 am__v_CXXLD_1 = 
293 SOURCES = $(libscifftw_algo_la_SOURCES) $(libscifftw_la_SOURCES)
294 DIST_SOURCES = $(am__libscifftw_algo_la_SOURCES_DIST) \
295         $(am__libscifftw_la_SOURCES_DIST)
296 am__can_run_installinfo = \
297   case $$AM_UPDATE_INFO_DIR in \
298     n|no|NO) false;; \
299     *) (install-info --version) >/dev/null 2>&1;; \
300   esac
301 DATA = $(libscifftw_la_etc_DATA) $(libscifftw_la_root_DATA)
302 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
303 # Read a list of newline-separated strings from the standard input,
304 # and print each of them once, without duplicates.  Input order is
305 # *not* preserved.
306 am__uniquify_input = $(AWK) '\
307   BEGIN { nonempty = 0; } \
308   { items[$$0] = 1; nonempty = 1; } \
309   END { if (nonempty) { for (i in items) print i; }; } \
310 '
311 # Make sure the list of sources is unique.  This is necessary because,
312 # e.g., the same source file might be shared among _SOURCES variables
313 # for different programs/libraries.
314 am__define_uniq_tagged_files = \
315   list='$(am__tagged_files)'; \
316   unique=`for i in $$list; do \
317     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318   done | $(am__uniquify_input)`
319 ETAGS = etags
320 CTAGS = ctags
321 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
322         $(top_srcdir)/config/depcomp \
323         $(top_srcdir)/config/mkinstalldirs
324 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
325 ACLOCAL = @ACLOCAL@
326 ALL_LINGUAS = @ALL_LINGUAS@
327 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
328 AMTAR = @AMTAR@
329 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
330 ANT = @ANT@
331 ANTLR = @ANTLR@
332 AR = @AR@
333 ARPACK_LIBS = @ARPACK_LIBS@
334 ASM3 = @ASM3@
335 AUTOCONF = @AUTOCONF@
336 AUTOHEADER = @AUTOHEADER@
337 AUTOMAKE = @AUTOMAKE@
338 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
339 AWK = @AWK@
340 BATIK = @BATIK@
341 BLAS_CFLAGS = @BLAS_CFLAGS@
342 BLAS_LIBS = @BLAS_LIBS@
343 CC = @CC@
344 CCACHE = @CCACHE@
345 CCDEPMODE = @CCDEPMODE@
346 CFLAGS = @CFLAGS@
347 CHECKSTYLE = @CHECKSTYLE@
348 COBERTURA = @COBERTURA@
349 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
350 COMMONS_IO = @COMMONS_IO@
351 COMMONS_LOGGING = @COMMONS_LOGGING@
352 CPP = @CPP@
353 CPPFLAGS = @CPPFLAGS@
354 CURL_CFLAGS = @CURL_CFLAGS@
355 CURL_CONFIG = @CURL_CONFIG@
356 CURL_LIBS = @CURL_LIBS@
357 CURL_VERSION = @CURL_VERSION@
358 CXX = @CXX@
359 CXXCPP = @CXXCPP@
360 CXXDEPMODE = @CXXDEPMODE@
361 CXXFLAGS = @CXXFLAGS@
362 CYGPATH_W = @CYGPATH_W@
363 DEFS = @DEFS@
364 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
365 DEPDIR = @DEPDIR@
366 DLLTOOL = @DLLTOOL@
367 DOCBOOK_ROOT = @DOCBOOK_ROOT@
368 DOXYGEN_BIN = @DOXYGEN_BIN@
369 DSYMUTIL = @DSYMUTIL@
370 DUMPBIN = @DUMPBIN@
371 ECHO_C = @ECHO_C@
372 ECHO_N = @ECHO_N@
373 ECHO_T = @ECHO_T@
374 ECJ = @ECJ@
375 EGREP = @EGREP@
376 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
377 EXEEXT = @EXEEXT@
378 F77 = @F77@
379 FFLAGS = @FFLAGS@
380 FFTW3_LIB = @FFTW3_LIB@
381 FFTW_ENABLE = @FFTW_ENABLE@
382 FGREP = @FGREP@
383 FLEXDOCK = @FLEXDOCK@
384 FLIBS = @FLIBS@
385 FOP = @FOP@
386 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
387 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
388 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
389 FREEHEP_IO = @FREEHEP_IO@
390 FREEHEP_UTIL = @FREEHEP_UTIL@
391 GENHTML = @GENHTML@
392 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
393 GIWS_BIN = @GIWS_BIN@
394 GLUEGEN2_RT = @GLUEGEN2_RT@
395 GMSGFMT = @GMSGFMT@
396 GMSGFMT_015 = @GMSGFMT_015@
397 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
398 GREP = @GREP@
399 GUI_ENABLE = @GUI_ENABLE@
400 HAMCREST = @HAMCREST@
401 HAVE_CXX11 = @HAVE_CXX11@
402 HDF5_CFLAGS = @HDF5_CFLAGS@
403 HDF5_LIBS = @HDF5_LIBS@
404 HELP_ENABLE = @HELP_ENABLE@
405 INSTALL = @INSTALL@
406 INSTALL_DATA = @INSTALL_DATA@
407 INSTALL_PROGRAM = @INSTALL_PROGRAM@
408 INSTALL_SCRIPT = @INSTALL_SCRIPT@
409 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
410 INTLLIBS = @INTLLIBS@
411 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
412 JAR = @JAR@
413 JAVA = @JAVA@
414 JAVAC = @JAVAC@
415 JAVAC_DEBUG = @JAVAC_DEBUG@
416 JAVADOC = @JAVADOC@
417 JAVAH = @JAVAH@
418 JAVASCI_ENABLE = @JAVASCI_ENABLE@
419 JAVA_ENABLE = @JAVA_ENABLE@
420 JAVA_G = @JAVA_G@
421 JAVA_HOME = @JAVA_HOME@
422 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
423 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
424 JDB = @JDB@
425 JEUCLID_CORE = @JEUCLID_CORE@
426 JGRAPHX = @JGRAPHX@
427 JHALL = @JHALL@
428 JLATEXMATH = @JLATEXMATH@
429 JLATEXMATH_FOP = @JLATEXMATH_FOP@
430 JOGL2 = @JOGL2@
431 JROSETTA_API = @JROSETTA_API@
432 JROSETTA_ENGINE = @JROSETTA_ENGINE@
433 JUNIT4 = @JUNIT4@
434 LAPACK_LIBS = @LAPACK_LIBS@
435 LCOV = @LCOV@
436 LD = @LD@
437 LDFLAGS = @LDFLAGS@
438 LEX = @LEX@
439 LEXLIB = @LEXLIB@
440 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
441 LIBICONV = @LIBICONV@
442 LIBINTL = @LIBINTL@
443 LIBM = @LIBM@
444 LIBOBJS = @LIBOBJS@
445 LIBS = @LIBS@
446 LIBTOOL = @LIBTOOL@
447 LIPO = @LIPO@
448 LN_S = @LN_S@
449 LOGGING_LEVEL = @LOGGING_LEVEL@
450 LOOKS = @LOOKS@
451 LTLIBICONV = @LTLIBICONV@
452 LTLIBINTL = @LTLIBINTL@
453 LTLIBOBJS = @LTLIBOBJS@
454 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
455 LUCENE = @LUCENE@
456 LUCENE_ANALYZER = @LUCENE_ANALYZER@
457 LUCENE_PARSER = @LUCENE_PARSER@
458 MAINT = @MAINT@
459 MAKEINFO = @MAKEINFO@
460 MANIFEST_TOOL = @MANIFEST_TOOL@
461 MATIO_CFLAGS = @MATIO_CFLAGS@
462 MATIO_ENABLE = @MATIO_ENABLE@
463 MATIO_LIBS = @MATIO_LIBS@
464 MKDIR_P = @MKDIR_P@
465 MPI_ENABLE = @MPI_ENABLE@
466 MSGCAT = @MSGCAT@
467 MSGFMT = @MSGFMT@
468 MSGFMT_015 = @MSGFMT_015@
469 MSGMERGE = @MSGMERGE@
470 NM = @NM@
471 NMEDIT = @NMEDIT@
472 OBJDUMP = @OBJDUMP@
473 OBJEXT = @OBJEXT@
474 OCAMLC = @OCAMLC@
475 OCAMLDEP = @OCAMLDEP@
476 OCAMLLEX = @OCAMLLEX@
477 OCAMLOPT = @OCAMLOPT@
478 OCAMLYACC = @OCAMLYACC@
479 OPENMPI_CC = @OPENMPI_CC@
480 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
481 OPENMPI_CXX = @OPENMPI_CXX@
482 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
483 OPENMPI_LIBS = @OPENMPI_LIBS@
484 OPENMP_CFLAGS = @OPENMP_CFLAGS@
485 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
486 OPENMP_ENABLE = @OPENMP_ENABLE@
487 OPENMP_LIBS = @OPENMP_LIBS@
488 OTOOL = @OTOOL@
489 OTOOL64 = @OTOOL64@
490 PACKAGE = @PACKAGE@
491 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
492 PACKAGE_NAME = @PACKAGE_NAME@
493 PACKAGE_STRING = @PACKAGE_STRING@
494 PACKAGE_TARNAME = @PACKAGE_TARNAME@
495 PACKAGE_URL = @PACKAGE_URL@
496 PACKAGE_VERSION = @PACKAGE_VERSION@
497 PATH_SEPARATOR = @PATH_SEPARATOR@
498 PCRE_CFLAGS = @PCRE_CFLAGS@
499 PCRE_CONFIG = @PCRE_CONFIG@
500 PCRE_LIBS = @PCRE_LIBS@
501 PCRE_VERSION = @PCRE_VERSION@
502 PKG_CONFIG = @PKG_CONFIG@
503 POSUB = @POSUB@
504 POW_LIB = @POW_LIB@
505 PYTHON = @PYTHON@
506 RANLIB = @RANLIB@
507 RELOCATABLE = @RELOCATABLE@
508 RT_LIB = @RT_LIB@
509 SAXON = @SAXON@
510 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
511 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
512 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
513 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
514 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
515 SCIRENDERER = @SCIRENDERER@
516 SCIRENDERER_CP = @SCIRENDERER_CP@
517 SCI_CFLAGS = @SCI_CFLAGS@
518 SCI_CXXFLAGS = @SCI_CXXFLAGS@
519 SCI_FFLAGS = @SCI_FFLAGS@
520 SCI_LDFLAGS = @SCI_LDFLAGS@
521 SED = @SED@
522 SET_MAKE = @SET_MAKE@
523 SET_RELOCATABLE = @SET_RELOCATABLE@
524 SHELL = @SHELL@
525 SKINLF = @SKINLF@
526 SPLINT = @SPLINT@
527 STRIP = @STRIP@
528 SWIG_BIN = @SWIG_BIN@
529 SWIG_JAVA = @SWIG_JAVA@
530 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
531 SWIG_SCILAB = @SWIG_SCILAB@
532 TCLTK_LIBS = @TCLTK_LIBS@
533 TCL_INC_PATH = @TCL_INC_PATH@
534 TK_INC_PATH = @TK_INC_PATH@
535 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
536 UMFPACK_ENABLE = @UMFPACK_ENABLE@
537 UMFPACK_LIB = @UMFPACK_LIB@
538 USE_NLS = @USE_NLS@
539 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
540 VALGRIND_LIBS = @VALGRIND_LIBS@
541 VERSION = @VERSION@
542 WITH_OCAML = @WITH_OCAML@
543 WITH_TKSCI = @WITH_TKSCI@
544 XCOS_ENABLE = @XCOS_ENABLE@
545 XGETTEXT = @XGETTEXT@
546 XGETTEXT_015 = @XGETTEXT_015@
547 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
548 XMKMF = @XMKMF@
549 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
550 XML_APIS_EXT = @XML_APIS_EXT@
551 XML_CONFIG = @XML_CONFIG@
552 XML_FLAGS = @XML_FLAGS@
553 XML_LIBS = @XML_LIBS@
554 XML_VERSION = @XML_VERSION@
555 X_CFLAGS = @X_CFLAGS@
556 X_EXTRA_LIBS = @X_EXTRA_LIBS@
557 X_LIBS = @X_LIBS@
558 X_PRE_LIBS = @X_PRE_LIBS@
559 YACC = @YACC@
560 YFLAGS = @YFLAGS@
561 abs_builddir = @abs_builddir@
562 abs_srcdir = @abs_srcdir@
563 abs_top_builddir = @abs_top_builddir@
564 abs_top_srcdir = @abs_top_srcdir@
565 ac_ct_AR = @ac_ct_AR@
566 ac_ct_CC = @ac_ct_CC@
567 ac_ct_CXX = @ac_ct_CXX@
568 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
569 ac_ct_F77 = @ac_ct_F77@
570 am__include = @am__include@
571 am__leading_dot = @am__leading_dot@
572 am__quote = @am__quote@
573 am__tar = @am__tar@
574 am__untar = @am__untar@
575 bindir = @bindir@
576 build = @build@
577 build_alias = @build_alias@
578 build_cpu = @build_cpu@
579 build_os = @build_os@
580 build_vendor = @build_vendor@
581 builddir = @builddir@
582 cxx_present = @cxx_present@
583 datadir = @datadir@
584 datarootdir = @datarootdir@
585 docdir = @docdir@
586 dvidir = @dvidir@
587 exec_prefix = @exec_prefix@
588 host = @host@
589 host_alias = @host_alias@
590 host_cpu = @host_cpu@
591 host_os = @host_os@
592 host_vendor = @host_vendor@
593 htmldir = @htmldir@
594 includedir = @includedir@
595 infodir = @infodir@
596 install_sh = @install_sh@
597 libdir = @libdir@
598 libexecdir = @libexecdir@
599 localedir = @localedir@
600 localstatedir = @localstatedir@
601 mandir = @mandir@
602 mkdir_p = @mkdir_p@
603 oldincludedir = @oldincludedir@
604 pdfdir = @pdfdir@
605 prefix = @prefix@
606 program_transform_name = @program_transform_name@
607 psdir = @psdir@
608 sbindir = @sbindir@
609 sharedstatedir = @sharedstatedir@
610 srcdir = @srcdir@
611 sysconfdir = @sysconfdir@
612 target_alias = @target_alias@
613 top_build_prefix = @top_build_prefix@
614 top_builddir = @top_builddir@
615 top_srcdir = @top_srcdir@
616 yacc_present = @yacc_present@
617 modulename = fftw
618 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscifftw.la
619 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscifftw.la \
620 @MAINTAINER_MODE_FALSE@ $(am__append_1)
621 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = $(am__append_1)
622 libscifftw_la_LDFLAGS = $(AM_LDFLAGS)
623
624 #### fftw : Conf files ####
625 libscifftw_la_rootdir = $(mydatadir)
626
627 #### fftw : init scripts ####
628 libscifftw_la_etcdir = $(mydatadir)/etc
629 libscifftw_la_etc_DATA = \
630     etc/fftw.quit \
631     etc/fftw.start
632
633 @FFTW_TRUE@FFTW_C_SOURCES = \
634 @FFTW_TRUE@    src/c/callfftw.c \
635 @FFTW_TRUE@    src/c/fftwlibname.c \
636 @FFTW_TRUE@    src/c/fftw_utilities.c \
637 @FFTW_TRUE@    src/c/with_fftw.c
638
639 @FFTW_FALSE@FFTW_CPP_SOURCES = src/nofftw/nofftw.cpp
640 @FFTW_TRUE@FFTW_CPP_SOURCES = \
641 @FFTW_TRUE@    src/cpp/fftw_common.cpp
642
643 @FFTW_TRUE@GATEWAY_C_SOURCES = \
644 @FFTW_TRUE@     sci_gateway/c/sci_fftwlibraryisloaded.c \
645 @FFTW_TRUE@     sci_gateway/c/sci_disposefftwlibrary.c \
646 @FFTW_TRUE@     sci_gateway/c/sci_fftw_flags.c \
647 @FFTW_TRUE@     sci_gateway/c/sci_loadfftwlibrary.c \
648 @FFTW_TRUE@     sci_gateway/c/sci_get_fftw_wisdom.c \
649 @FFTW_TRUE@     sci_gateway/c/sci_set_fftw_wisdom.c \
650 @FFTW_TRUE@     sci_gateway/c/sci_fftw_forget_wisdom.c
651
652 @FFTW_TRUE@GATEWAY_CPP_SOURCES = \
653 @FFTW_TRUE@    sci_gateway/cpp/fftw_gw.cpp \
654 @FFTW_TRUE@    sci_gateway/cpp/sci_fftw.cpp \
655 @FFTW_TRUE@    sci_gateway/cpp/sci_dst.cpp \
656 @FFTW_TRUE@    sci_gateway/cpp/sci_dct.cpp
657
658
659 #### fftw : Conf files ####
660 @FFTW_TRUE@libscifftw_la_root_DATA = license.txt
661
662 #### fftw : gateway declaration ####
663 #libscifftw_la_sci_gatewaydir = $(mydatadir)/sci_gateway
664 #libscifftw_la_sci_gateway_DATA = sci_gateway/fftw_gateway.xml
665 @FFTW_TRUE@libscifftw_algo_la_SOURCES = $(FFTW_C_SOURCES) $(FFTW_CPP_SOURCES)
666 @FFTW_FALSE@libscifftw_la_SOURCES = $(FFTW_CPP_SOURCES)
667 @FFTW_TRUE@libscifftw_la_SOURCES = $(GATEWAY_C_SOURCES)  $(GATEWAY_CPP_SOURCES)
668 @FFTW_TRUE@libscifftw_algo_la_CPPFLAGS = $(libscifftw_la_CPPFLAGS)
669
670 # For the code check (splint)
671 @FFTW_TRUE@CHECK_SRC = $(FFTW_C_SOURCES) $(GATEWAY_C_SOURCES)
672 @FFTW_TRUE@INCLUDE_FLAGS = $(libscifftw_la_CPPFLAGS)
673 @FFTW_TRUE@libscifftw_la_LIBADD = libscifftw-algo.la $(FFTW3_LIB)
674 @FFTW_FALSE@libscifftw_la_CPPFLAGS = \
675 @FFTW_FALSE@-I$(srcdir)/includes/ \
676 @FFTW_FALSE@    -I$(srcdir)/src/c/ \
677 @FFTW_FALSE@    -I$(srcdir)/src/cpp/ \
678 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/ast/ \
679 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/exps/ \
680 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/operations/ \
681 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/parse/ \
682 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/symbol/ \
683 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/system_env/ \
684 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/types/ \
685 @FFTW_FALSE@    -I$(top_srcdir)/modules/ast/includes/analysis/ \
686 @FFTW_FALSE@    -I$(top_srcdir)/modules/api_scilab/includes/ \
687 @FFTW_FALSE@    -I$(top_srcdir)/modules/output_stream/includes/ \
688 @FFTW_FALSE@    -I$(top_srcdir)/modules/localization/includes/ \
689 @FFTW_FALSE@    $(AM_CPPFLAGS)
690
691 @FFTW_TRUE@libscifftw_la_CPPFLAGS = \
692 @FFTW_TRUE@    -I$(srcdir)/includes/ \
693 @FFTW_TRUE@    -I$(srcdir)/src/c/ \
694 @FFTW_TRUE@    -I$(srcdir)/src/cpp/ \
695 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/ast/ \
696 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/exps/ \
697 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/operations/ \
698 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/parse/ \
699 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/symbol/ \
700 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/system_env/ \
701 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/types/ \
702 @FFTW_TRUE@    -I$(top_srcdir)/modules/ast/includes/analysis/ \
703 @FFTW_TRUE@    -I$(top_srcdir)/modules/threads/includes/ \
704 @FFTW_TRUE@    -I$(top_srcdir)/modules/console/includes/ \
705 @FFTW_TRUE@    -I$(top_srcdir)/modules/dynamic_link/includes/ \
706 @FFTW_TRUE@    -I$(top_srcdir)/modules/fileio/includes/ \
707 @FFTW_TRUE@    -I$(top_srcdir)/modules/output_stream/includes/ \
708 @FFTW_TRUE@    -I$(top_srcdir)/modules/api_scilab/includes/ \
709 @FFTW_TRUE@    -I$(top_srcdir)/modules/string/includes/ \
710 @FFTW_TRUE@    -I$(top_srcdir)/modules/localization/includes/ \
711 @FFTW_TRUE@    -I$(top_srcdir)/modules/elementary_functions/includes/ \
712 @FFTW_TRUE@    $(FFTW3_CFLAGS) \
713 @FFTW_TRUE@    $(AM_CPPFLAGS)
714
715
716 # Where all the Scilab stuff is installed (macros, help, ...)
717 mydatadir = $(pkgdatadir)/modules/$(modulename)
718
719 # Set AM_* SCI detected settings
720 AM_CPPFLAGS = $(SCI_CPPFLAGS)
721 AM_CFLAGS = $(SCI_CFLAGS)
722 AM_CXXFLAGS = $(SCI_CXXFLAGS)
723 # append includes to AM_FFLAGS to manage fortran includes
724 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
725
726 # Tag shared libraries with the Scilab version
727 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
728
729 # splint options
730 SPLINT_OPTIONS = -weak -booltype BOOL
731
732 ########################### JAVA ######################################
733 #### We are delegating java compilation to ant... Thanks to that
734 #### the procedure will be the same with Microsoft Windows (C)
735 #### and Linux/Unix
736 #######################################################################
737 TARGETS_ALL = $(am__append_2)
738
739 ################ MACROS ######################
740 # Rule to build a macro
741 # NOT USED  AT THE MOMENT
742 SUFFIXES = .sci 
743
744 ########### INSTALL DOCUMENTATION ###################
745
746 # Install documentation files into the right target
747 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
748 # automake needs the html files to be present which is not the case when
749 # we are building Scilab
750
751 # Where it should be installed
752 pkgdocdir = $(mydatadir)
753
754 # What is the mask of the help source
755 DOCMASKXML = *.xml
756
757 # What is the mask of the MathML sources
758 DOCMASKMML = *.mml
759
760 ########### INSTALL DATA ###################
761 # Install macros, help & demos
762 # Where it should be installed
763 pkgmacrosdir = $(mydatadir)
764 # Which directory we process
765 MACRODIRS = macros/
766 # Mask of the Scilab sources macros
767 MACROMASK = *.sci
768 # Mask of the Scilab executable sources macros
769 MACROBUILDMASK = *.sce
770 # Mask of the Scilab compiled macros
771 MACROBINMASK = *.bin
772 # List of the standard directory for tests
773 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
774 # Where the demos should be installed
775 pkgdemosdir = $(mydatadir)
776 # List of the standard directory for demos
777 DEMOS_DIR = demos
778 # List of the standard directory for examples
779 EXAMPLES_DIR = examples
780 # Where to export JAVA archives (.jar)
781 JARDIR = jar/
782 # JAR files mask
783 JARMASK = *.jar
784 # Chapter file 
785 HELP_CHAPTERDIR = help/
786 HELP_CHAPTERFILE = addchapter.sce
787 HELP_CHAPTERLANG = en_US fr_FR pt_BR
788 all: all-am
789
790 .SUFFIXES:
791 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
792 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
793         @for dep in $?; do \
794           case '$(am__configure_deps)' in \
795             *$$dep*) \
796               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
797                 && { if test -f $@; then exit 0; else break; fi; }; \
798               exit 1;; \
799           esac; \
800         done; \
801         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/fftw/Makefile'; \
802         $(am__cd) $(top_srcdir) && \
803           $(AUTOMAKE) --foreign modules/fftw/Makefile
804 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
805         @case '$?' in \
806           *config.status*) \
807             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
808           *) \
809             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
810             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
811         esac;
812 $(top_srcdir)/Makefile.incl.am $(am__empty):
813
814 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
815         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
816
817 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
818         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
819 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
820         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
821 $(am__aclocal_m4_deps):
822
823 clean-noinstLTLIBRARIES:
824         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
825         @list='$(noinst_LTLIBRARIES)'; \
826         locs=`for p in $$list; do echo $$p; done | \
827               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
828               sort -u`; \
829         test -z "$$locs" || { \
830           echo rm -f $${locs}; \
831           rm -f $${locs}; \
832         }
833
834 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
835         @$(NORMAL_INSTALL)
836         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
837         list2=; for p in $$list; do \
838           if test -f $$p; then \
839             list2="$$list2 $$p"; \
840           else :; fi; \
841         done; \
842         test -z "$$list2" || { \
843           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
844           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
845           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
846           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
847         }
848
849 uninstall-pkglibLTLIBRARIES:
850         @$(NORMAL_UNINSTALL)
851         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
852         for p in $$list; do \
853           $(am__strip_dir) \
854           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
855           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
856         done
857
858 clean-pkglibLTLIBRARIES:
859         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
860         @list='$(pkglib_LTLIBRARIES)'; \
861         locs=`for p in $$list; do echo $$p; done | \
862               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
863               sort -u`; \
864         test -z "$$locs" || { \
865           echo rm -f $${locs}; \
866           rm -f $${locs}; \
867         }
868 src/c/$(am__dirstamp):
869         @$(MKDIR_P) src/c
870         @: > src/c/$(am__dirstamp)
871 src/c/$(DEPDIR)/$(am__dirstamp):
872         @$(MKDIR_P) src/c/$(DEPDIR)
873         @: > src/c/$(DEPDIR)/$(am__dirstamp)
874 src/c/libscifftw_algo_la-callfftw.lo: src/c/$(am__dirstamp) \
875         src/c/$(DEPDIR)/$(am__dirstamp)
876 src/c/libscifftw_algo_la-fftwlibname.lo: src/c/$(am__dirstamp) \
877         src/c/$(DEPDIR)/$(am__dirstamp)
878 src/c/libscifftw_algo_la-fftw_utilities.lo: src/c/$(am__dirstamp) \
879         src/c/$(DEPDIR)/$(am__dirstamp)
880 src/c/libscifftw_algo_la-with_fftw.lo: src/c/$(am__dirstamp) \
881         src/c/$(DEPDIR)/$(am__dirstamp)
882 src/nofftw/$(am__dirstamp):
883         @$(MKDIR_P) src/nofftw
884         @: > src/nofftw/$(am__dirstamp)
885 src/nofftw/$(DEPDIR)/$(am__dirstamp):
886         @$(MKDIR_P) src/nofftw/$(DEPDIR)
887         @: > src/nofftw/$(DEPDIR)/$(am__dirstamp)
888 src/nofftw/libscifftw_algo_la-nofftw.lo: src/nofftw/$(am__dirstamp) \
889         src/nofftw/$(DEPDIR)/$(am__dirstamp)
890 src/cpp/$(am__dirstamp):
891         @$(MKDIR_P) src/cpp
892         @: > src/cpp/$(am__dirstamp)
893 src/cpp/$(DEPDIR)/$(am__dirstamp):
894         @$(MKDIR_P) src/cpp/$(DEPDIR)
895         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
896 src/cpp/libscifftw_algo_la-fftw_common.lo: src/cpp/$(am__dirstamp) \
897         src/cpp/$(DEPDIR)/$(am__dirstamp)
898
899 libscifftw-algo.la: $(libscifftw_algo_la_OBJECTS) $(libscifftw_algo_la_DEPENDENCIES) $(EXTRA_libscifftw_algo_la_DEPENDENCIES) 
900         $(AM_V_CXXLD)$(CXXLINK) $(am_libscifftw_algo_la_rpath) $(libscifftw_algo_la_OBJECTS) $(libscifftw_algo_la_LIBADD) $(LIBS)
901 src/nofftw/libscifftw_la-nofftw.lo: src/nofftw/$(am__dirstamp) \
902         src/nofftw/$(DEPDIR)/$(am__dirstamp)
903 src/cpp/libscifftw_la-fftw_common.lo: src/cpp/$(am__dirstamp) \
904         src/cpp/$(DEPDIR)/$(am__dirstamp)
905 sci_gateway/c/$(am__dirstamp):
906         @$(MKDIR_P) sci_gateway/c
907         @: > sci_gateway/c/$(am__dirstamp)
908 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
909         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
910         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
911 sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo:  \
912         sci_gateway/c/$(am__dirstamp) \
913         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
914 sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo:  \
915         sci_gateway/c/$(am__dirstamp) \
916         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
917 sci_gateway/c/libscifftw_la-sci_fftw_flags.lo:  \
918         sci_gateway/c/$(am__dirstamp) \
919         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
920 sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo:  \
921         sci_gateway/c/$(am__dirstamp) \
922         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
923 sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo:  \
924         sci_gateway/c/$(am__dirstamp) \
925         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
926 sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo:  \
927         sci_gateway/c/$(am__dirstamp) \
928         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
929 sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo:  \
930         sci_gateway/c/$(am__dirstamp) \
931         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
932 sci_gateway/cpp/$(am__dirstamp):
933         @$(MKDIR_P) sci_gateway/cpp
934         @: > sci_gateway/cpp/$(am__dirstamp)
935 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
936         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
937         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
938 sci_gateway/cpp/libscifftw_la-fftw_gw.lo:  \
939         sci_gateway/cpp/$(am__dirstamp) \
940         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
941 sci_gateway/cpp/libscifftw_la-sci_fftw.lo:  \
942         sci_gateway/cpp/$(am__dirstamp) \
943         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
944 sci_gateway/cpp/libscifftw_la-sci_dst.lo:  \
945         sci_gateway/cpp/$(am__dirstamp) \
946         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
947 sci_gateway/cpp/libscifftw_la-sci_dct.lo:  \
948         sci_gateway/cpp/$(am__dirstamp) \
949         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
950
951 libscifftw.la: $(libscifftw_la_OBJECTS) $(libscifftw_la_DEPENDENCIES) $(EXTRA_libscifftw_la_DEPENDENCIES) 
952         $(AM_V_CXXLD)$(libscifftw_la_LINK) $(am_libscifftw_la_rpath) $(libscifftw_la_OBJECTS) $(libscifftw_la_LIBADD) $(LIBS)
953
954 mostlyclean-compile:
955         -rm -f *.$(OBJEXT)
956         -rm -f sci_gateway/c/*.$(OBJEXT)
957         -rm -f sci_gateway/c/*.lo
958         -rm -f sci_gateway/cpp/*.$(OBJEXT)
959         -rm -f sci_gateway/cpp/*.lo
960         -rm -f src/c/*.$(OBJEXT)
961         -rm -f src/c/*.lo
962         -rm -f src/cpp/*.$(OBJEXT)
963         -rm -f src/cpp/*.lo
964         -rm -f src/nofftw/*.$(OBJEXT)
965         -rm -f src/nofftw/*.lo
966
967 distclean-compile:
968         -rm -f *.tab.c
969
970 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Plo@am__quote@
971 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_flags.Plo@am__quote@
972 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Plo@am__quote@
973 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Plo@am__quote@
974 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Plo@am__quote@
975 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Plo@am__quote@
976 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Plo@am__quote@
977 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifftw_la-fftw_gw.Plo@am__quote@
978 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dct.Plo@am__quote@
979 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dst.Plo@am__quote@
980 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_fftw.Plo@am__quote@
981 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscifftw_algo_la-callfftw.Plo@am__quote@
982 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscifftw_algo_la-fftw_utilities.Plo@am__quote@
983 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscifftw_algo_la-fftwlibname.Plo@am__quote@
984 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscifftw_algo_la-with_fftw.Plo@am__quote@
985 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscifftw_algo_la-fftw_common.Plo@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscifftw_la-fftw_common.Plo@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@src/nofftw/$(DEPDIR)/libscifftw_algo_la-nofftw.Plo@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@src/nofftw/$(DEPDIR)/libscifftw_la-nofftw.Plo@am__quote@
989
990 .c.o:
991 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
992 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
993 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
997
998 .c.obj:
999 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1000 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1001 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1003 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1004 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1005
1006 .c.lo:
1007 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1008 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1009 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1010 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1012 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1013
1014 src/c/libscifftw_algo_la-callfftw.lo: src/c/callfftw.c
1015 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscifftw_algo_la-callfftw.lo -MD -MP -MF src/c/$(DEPDIR)/libscifftw_algo_la-callfftw.Tpo -c -o src/c/libscifftw_algo_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
1016 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscifftw_algo_la-callfftw.Tpo src/c/$(DEPDIR)/libscifftw_algo_la-callfftw.Plo
1017 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/callfftw.c' object='src/c/libscifftw_algo_la-callfftw.lo' libtool=yes @AMDEPBACKSLASH@
1018 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1019 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscifftw_algo_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
1020
1021 src/c/libscifftw_algo_la-fftwlibname.lo: src/c/fftwlibname.c
1022 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscifftw_algo_la-fftwlibname.lo -MD -MP -MF src/c/$(DEPDIR)/libscifftw_algo_la-fftwlibname.Tpo -c -o src/c/libscifftw_algo_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
1023 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscifftw_algo_la-fftwlibname.Tpo src/c/$(DEPDIR)/libscifftw_algo_la-fftwlibname.Plo
1024 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fftwlibname.c' object='src/c/libscifftw_algo_la-fftwlibname.lo' libtool=yes @AMDEPBACKSLASH@
1025 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1026 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscifftw_algo_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
1027
1028 src/c/libscifftw_algo_la-fftw_utilities.lo: src/c/fftw_utilities.c
1029 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscifftw_algo_la-fftw_utilities.lo -MD -MP -MF src/c/$(DEPDIR)/libscifftw_algo_la-fftw_utilities.Tpo -c -o src/c/libscifftw_algo_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
1030 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscifftw_algo_la-fftw_utilities.Tpo src/c/$(DEPDIR)/libscifftw_algo_la-fftw_utilities.Plo
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fftw_utilities.c' object='src/c/libscifftw_algo_la-fftw_utilities.lo' libtool=yes @AMDEPBACKSLASH@
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1033 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscifftw_algo_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
1034
1035 src/c/libscifftw_algo_la-with_fftw.lo: src/c/with_fftw.c
1036 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscifftw_algo_la-with_fftw.lo -MD -MP -MF src/c/$(DEPDIR)/libscifftw_algo_la-with_fftw.Tpo -c -o src/c/libscifftw_algo_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
1037 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscifftw_algo_la-with_fftw.Tpo src/c/$(DEPDIR)/libscifftw_algo_la-with_fftw.Plo
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_fftw.c' object='src/c/libscifftw_algo_la-with_fftw.lo' libtool=yes @AMDEPBACKSLASH@
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1040 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscifftw_algo_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
1041
1042 sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo: sci_gateway/c/sci_fftwlibraryisloaded.c
1043 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Tpo -c -o sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo `test -f 'sci_gateway/c/sci_fftwlibraryisloaded.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftwlibraryisloaded.c
1044 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Plo
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftwlibraryisloaded.c' object='sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo' libtool=yes @AMDEPBACKSLASH@
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1047 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_fftwlibraryisloaded.lo `test -f 'sci_gateway/c/sci_fftwlibraryisloaded.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftwlibraryisloaded.c
1048
1049 sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo: sci_gateway/c/sci_disposefftwlibrary.c
1050 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Tpo -c -o sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo `test -f 'sci_gateway/c/sci_disposefftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disposefftwlibrary.c
1051 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Plo
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_disposefftwlibrary.c' object='sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo' libtool=yes @AMDEPBACKSLASH@
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1054 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_disposefftwlibrary.lo `test -f 'sci_gateway/c/sci_disposefftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disposefftwlibrary.c
1055
1056 sci_gateway/c/libscifftw_la-sci_fftw_flags.lo: sci_gateway/c/sci_fftw_flags.c
1057 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_fftw_flags.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_flags.Tpo -c -o sci_gateway/c/libscifftw_la-sci_fftw_flags.lo `test -f 'sci_gateway/c/sci_fftw_flags.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_flags.c
1058 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_flags.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_flags.Plo
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftw_flags.c' object='sci_gateway/c/libscifftw_la-sci_fftw_flags.lo' libtool=yes @AMDEPBACKSLASH@
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1061 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_fftw_flags.lo `test -f 'sci_gateway/c/sci_fftw_flags.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_flags.c
1062
1063 sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo: sci_gateway/c/sci_loadfftwlibrary.c
1064 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Tpo -c -o sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo `test -f 'sci_gateway/c/sci_loadfftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_loadfftwlibrary.c
1065 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Plo
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_loadfftwlibrary.c' object='sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo' libtool=yes @AMDEPBACKSLASH@
1067 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1068 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_loadfftwlibrary.lo `test -f 'sci_gateway/c/sci_loadfftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_loadfftwlibrary.c
1069
1070 sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo: sci_gateway/c/sci_get_fftw_wisdom.c
1071 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Tpo -c -o sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_get_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_get_fftw_wisdom.c
1072 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Plo
1073 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_get_fftw_wisdom.c' object='sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_get_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_get_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_get_fftw_wisdom.c
1076
1077 sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo: sci_gateway/c/sci_set_fftw_wisdom.c
1078 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Tpo -c -o sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_set_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_set_fftw_wisdom.c
1079 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Plo
1080 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_set_fftw_wisdom.c' object='sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_set_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_set_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_set_fftw_wisdom.c
1083
1084 sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo: sci_gateway/c/sci_fftw_forget_wisdom.c
1085 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Tpo -c -o sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo `test -f 'sci_gateway/c/sci_fftw_forget_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_forget_wisdom.c
1086 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Tpo sci_gateway/c/$(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Plo
1087 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftw_forget_wisdom.c' object='sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
1088 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1089 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifftw_la-sci_fftw_forget_wisdom.lo `test -f 'sci_gateway/c/sci_fftw_forget_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_forget_wisdom.c
1090
1091 .cpp.o:
1092 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1093 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1094 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1095 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1096 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1097 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1098
1099 .cpp.obj:
1100 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1101 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1102 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1103 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1104 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1105 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1106
1107 .cpp.lo:
1108 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1109 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1110 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1111 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1112 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1113 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1114
1115 src/nofftw/libscifftw_algo_la-nofftw.lo: src/nofftw/nofftw.cpp
1116 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/nofftw/libscifftw_algo_la-nofftw.lo -MD -MP -MF src/nofftw/$(DEPDIR)/libscifftw_algo_la-nofftw.Tpo -c -o src/nofftw/libscifftw_algo_la-nofftw.lo `test -f 'src/nofftw/nofftw.cpp' || echo '$(srcdir)/'`src/nofftw/nofftw.cpp
1117 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/nofftw/$(DEPDIR)/libscifftw_algo_la-nofftw.Tpo src/nofftw/$(DEPDIR)/libscifftw_algo_la-nofftw.Plo
1118 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/nofftw/nofftw.cpp' object='src/nofftw/libscifftw_algo_la-nofftw.lo' libtool=yes @AMDEPBACKSLASH@
1119 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1120 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/nofftw/libscifftw_algo_la-nofftw.lo `test -f 'src/nofftw/nofftw.cpp' || echo '$(srcdir)/'`src/nofftw/nofftw.cpp
1121
1122 src/cpp/libscifftw_algo_la-fftw_common.lo: src/cpp/fftw_common.cpp
1123 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscifftw_algo_la-fftw_common.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscifftw_algo_la-fftw_common.Tpo -c -o src/cpp/libscifftw_algo_la-fftw_common.lo `test -f 'src/cpp/fftw_common.cpp' || echo '$(srcdir)/'`src/cpp/fftw_common.cpp
1124 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscifftw_algo_la-fftw_common.Tpo src/cpp/$(DEPDIR)/libscifftw_algo_la-fftw_common.Plo
1125 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/fftw_common.cpp' object='src/cpp/libscifftw_algo_la-fftw_common.lo' libtool=yes @AMDEPBACKSLASH@
1126 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1127 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscifftw_algo_la-fftw_common.lo `test -f 'src/cpp/fftw_common.cpp' || echo '$(srcdir)/'`src/cpp/fftw_common.cpp
1128
1129 src/nofftw/libscifftw_la-nofftw.lo: src/nofftw/nofftw.cpp
1130 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/nofftw/libscifftw_la-nofftw.lo -MD -MP -MF src/nofftw/$(DEPDIR)/libscifftw_la-nofftw.Tpo -c -o src/nofftw/libscifftw_la-nofftw.lo `test -f 'src/nofftw/nofftw.cpp' || echo '$(srcdir)/'`src/nofftw/nofftw.cpp
1131 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/nofftw/$(DEPDIR)/libscifftw_la-nofftw.Tpo src/nofftw/$(DEPDIR)/libscifftw_la-nofftw.Plo
1132 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/nofftw/nofftw.cpp' object='src/nofftw/libscifftw_la-nofftw.lo' libtool=yes @AMDEPBACKSLASH@
1133 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1134 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/nofftw/libscifftw_la-nofftw.lo `test -f 'src/nofftw/nofftw.cpp' || echo '$(srcdir)/'`src/nofftw/nofftw.cpp
1135
1136 src/cpp/libscifftw_la-fftw_common.lo: src/cpp/fftw_common.cpp
1137 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscifftw_la-fftw_common.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscifftw_la-fftw_common.Tpo -c -o src/cpp/libscifftw_la-fftw_common.lo `test -f 'src/cpp/fftw_common.cpp' || echo '$(srcdir)/'`src/cpp/fftw_common.cpp
1138 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscifftw_la-fftw_common.Tpo src/cpp/$(DEPDIR)/libscifftw_la-fftw_common.Plo
1139 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/fftw_common.cpp' object='src/cpp/libscifftw_la-fftw_common.lo' libtool=yes @AMDEPBACKSLASH@
1140 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1141 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscifftw_la-fftw_common.lo `test -f 'src/cpp/fftw_common.cpp' || echo '$(srcdir)/'`src/cpp/fftw_common.cpp
1142
1143 sci_gateway/cpp/libscifftw_la-fftw_gw.lo: sci_gateway/cpp/fftw_gw.cpp
1144 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifftw_la-fftw_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifftw_la-fftw_gw.Tpo -c -o sci_gateway/cpp/libscifftw_la-fftw_gw.lo `test -f 'sci_gateway/cpp/fftw_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/fftw_gw.cpp
1145 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifftw_la-fftw_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscifftw_la-fftw_gw.Plo
1146 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/fftw_gw.cpp' object='sci_gateway/cpp/libscifftw_la-fftw_gw.lo' libtool=yes @AMDEPBACKSLASH@
1147 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1148 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifftw_la-fftw_gw.lo `test -f 'sci_gateway/cpp/fftw_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/fftw_gw.cpp
1149
1150 sci_gateway/cpp/libscifftw_la-sci_fftw.lo: sci_gateway/cpp/sci_fftw.cpp
1151 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifftw_la-sci_fftw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_fftw.Tpo -c -o sci_gateway/cpp/libscifftw_la-sci_fftw.lo `test -f 'sci_gateway/cpp/sci_fftw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_fftw.cpp
1152 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_fftw.Tpo sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_fftw.Plo
1153 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_fftw.cpp' object='sci_gateway/cpp/libscifftw_la-sci_fftw.lo' libtool=yes @AMDEPBACKSLASH@
1154 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1155 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifftw_la-sci_fftw.lo `test -f 'sci_gateway/cpp/sci_fftw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_fftw.cpp
1156
1157 sci_gateway/cpp/libscifftw_la-sci_dst.lo: sci_gateway/cpp/sci_dst.cpp
1158 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifftw_la-sci_dst.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dst.Tpo -c -o sci_gateway/cpp/libscifftw_la-sci_dst.lo `test -f 'sci_gateway/cpp/sci_dst.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_dst.cpp
1159 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dst.Tpo sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dst.Plo
1160 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_dst.cpp' object='sci_gateway/cpp/libscifftw_la-sci_dst.lo' libtool=yes @AMDEPBACKSLASH@
1161 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1162 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifftw_la-sci_dst.lo `test -f 'sci_gateway/cpp/sci_dst.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_dst.cpp
1163
1164 sci_gateway/cpp/libscifftw_la-sci_dct.lo: sci_gateway/cpp/sci_dct.cpp
1165 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifftw_la-sci_dct.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dct.Tpo -c -o sci_gateway/cpp/libscifftw_la-sci_dct.lo `test -f 'sci_gateway/cpp/sci_dct.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_dct.cpp
1166 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dct.Tpo sci_gateway/cpp/$(DEPDIR)/libscifftw_la-sci_dct.Plo
1167 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_dct.cpp' object='sci_gateway/cpp/libscifftw_la-sci_dct.lo' libtool=yes @AMDEPBACKSLASH@
1168 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1169 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifftw_la-sci_dct.lo `test -f 'sci_gateway/cpp/sci_dct.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_dct.cpp
1170
1171 mostlyclean-libtool:
1172         -rm -f *.lo
1173
1174 clean-libtool:
1175         -rm -rf .libs _libs
1176         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1177         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1178         -rm -rf src/c/.libs src/c/_libs
1179         -rm -rf src/cpp/.libs src/cpp/_libs
1180         -rm -rf src/nofftw/.libs src/nofftw/_libs
1181 install-libscifftw_la_etcDATA: $(libscifftw_la_etc_DATA)
1182         @$(NORMAL_INSTALL)
1183         @list='$(libscifftw_la_etc_DATA)'; test -n "$(libscifftw_la_etcdir)" || list=; \
1184         if test -n "$$list"; then \
1185           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_etcdir)'"; \
1186           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_etcdir)" || exit 1; \
1187         fi; \
1188         for p in $$list; do \
1189           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1190           echo "$$d$$p"; \
1191         done | $(am__base_list) | \
1192         while read files; do \
1193           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_etcdir)'"; \
1194           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_etcdir)" || exit $$?; \
1195         done
1196
1197 uninstall-libscifftw_la_etcDATA:
1198         @$(NORMAL_UNINSTALL)
1199         @list='$(libscifftw_la_etc_DATA)'; test -n "$(libscifftw_la_etcdir)" || list=; \
1200         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1201         dir='$(DESTDIR)$(libscifftw_la_etcdir)'; $(am__uninstall_files_from_dir)
1202 install-libscifftw_la_rootDATA: $(libscifftw_la_root_DATA)
1203         @$(NORMAL_INSTALL)
1204         @list='$(libscifftw_la_root_DATA)'; test -n "$(libscifftw_la_rootdir)" || list=; \
1205         if test -n "$$list"; then \
1206           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_rootdir)'"; \
1207           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_rootdir)" || exit 1; \
1208         fi; \
1209         for p in $$list; do \
1210           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1211           echo "$$d$$p"; \
1212         done | $(am__base_list) | \
1213         while read files; do \
1214           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_rootdir)'"; \
1215           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_rootdir)" || exit $$?; \
1216         done
1217
1218 uninstall-libscifftw_la_rootDATA:
1219         @$(NORMAL_UNINSTALL)
1220         @list='$(libscifftw_la_root_DATA)'; test -n "$(libscifftw_la_rootdir)" || list=; \
1221         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1222         dir='$(DESTDIR)$(libscifftw_la_rootdir)'; $(am__uninstall_files_from_dir)
1223
1224 ID: $(am__tagged_files)
1225         $(am__define_uniq_tagged_files); mkid -fID $$unique
1226 tags: tags-am
1227 TAGS: tags
1228
1229 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1230         set x; \
1231         here=`pwd`; \
1232         $(am__define_uniq_tagged_files); \
1233         shift; \
1234         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1235           test -n "$$unique" || unique=$$empty_fix; \
1236           if test $$# -gt 0; then \
1237             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1238               "$$@" $$unique; \
1239           else \
1240             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1241               $$unique; \
1242           fi; \
1243         fi
1244 ctags: ctags-am
1245
1246 CTAGS: ctags
1247 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1248         $(am__define_uniq_tagged_files); \
1249         test -z "$(CTAGS_ARGS)$$unique" \
1250           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1251              $$unique
1252
1253 GTAGS:
1254         here=`$(am__cd) $(top_builddir) && pwd` \
1255           && $(am__cd) $(top_srcdir) \
1256           && gtags -i $(GTAGS_ARGS) "$$here"
1257 cscopelist: cscopelist-am
1258
1259 cscopelist-am: $(am__tagged_files)
1260         list='$(am__tagged_files)'; \
1261         case "$(srcdir)" in \
1262           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1263           *) sdir=$(subdir)/$(srcdir) ;; \
1264         esac; \
1265         for i in $$list; do \
1266           if test -f "$$i"; then \
1267             echo "$(subdir)/$$i"; \
1268           else \
1269             echo "$$sdir/$$i"; \
1270           fi; \
1271         done >> $(top_builddir)/cscope.files
1272
1273 distclean-tags:
1274         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1275
1276 distdir: $(DISTFILES)
1277         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1278         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1279         list='$(DISTFILES)'; \
1280           dist_files=`for file in $$list; do echo $$file; done | \
1281           sed -e "s|^$$srcdirstrip/||;t" \
1282               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1283         case $$dist_files in \
1284           */*) $(MKDIR_P) `echo "$$dist_files" | \
1285                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1286                            sort -u` ;; \
1287         esac; \
1288         for file in $$dist_files; do \
1289           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1290           if test -d $$d/$$file; then \
1291             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1292             if test -d "$(distdir)/$$file"; then \
1293               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1294             fi; \
1295             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1296               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1297               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1298             fi; \
1299             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1300           else \
1301             test -f "$(distdir)/$$file" \
1302             || cp -p $$d/$$file "$(distdir)/$$file" \
1303             || exit 1; \
1304           fi; \
1305         done
1306 check-am: all-am
1307         $(MAKE) $(AM_MAKEFLAGS) check-local
1308 check: check-am
1309 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1310 installdirs:
1311         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifftw_la_etcdir)" "$(DESTDIR)$(libscifftw_la_rootdir)"; do \
1312           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1313         done
1314 install: install-am
1315 install-exec: install-exec-am
1316 install-data: install-data-am
1317 uninstall: uninstall-am
1318
1319 install-am: all-am
1320         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1321
1322 installcheck: installcheck-am
1323 install-strip:
1324         if test -z '$(STRIP)'; then \
1325           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1326             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1327               install; \
1328         else \
1329           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1330             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1331             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1332         fi
1333 mostlyclean-generic:
1334
1335 clean-generic:
1336
1337 distclean-generic:
1338         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1339         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1340         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1341         -rm -f sci_gateway/c/$(am__dirstamp)
1342         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1343         -rm -f sci_gateway/cpp/$(am__dirstamp)
1344         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1345         -rm -f src/c/$(am__dirstamp)
1346         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1347         -rm -f src/cpp/$(am__dirstamp)
1348         -rm -f src/nofftw/$(DEPDIR)/$(am__dirstamp)
1349         -rm -f src/nofftw/$(am__dirstamp)
1350
1351 maintainer-clean-generic:
1352         @echo "This command is intended for maintainers to use"
1353         @echo "it deletes files that may require special tools to rebuild."
1354 clean: clean-am
1355
1356 clean-am: clean-generic clean-libtool clean-local \
1357         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1358
1359 distclean: distclean-am
1360         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/nofftw/$(DEPDIR)
1361         -rm -f Makefile
1362 distclean-am: clean-am distclean-compile distclean-generic \
1363         distclean-local distclean-tags
1364
1365 dvi: dvi-am
1366
1367 dvi-am:
1368
1369 html: html-am
1370
1371 html-am:
1372
1373 info: info-am
1374
1375 info-am:
1376
1377 install-data-am: install-data-local install-libscifftw_la_etcDATA \
1378         install-libscifftw_la_rootDATA
1379
1380 install-dvi: install-dvi-am
1381
1382 install-dvi-am:
1383
1384 install-exec-am: install-pkglibLTLIBRARIES
1385
1386 install-html: install-html-am
1387
1388 install-html-am: install-html-local
1389
1390 install-info: install-info-am
1391
1392 install-info-am:
1393
1394 install-man:
1395
1396 install-pdf: install-pdf-am
1397
1398 install-pdf-am:
1399
1400 install-ps: install-ps-am
1401
1402 install-ps-am:
1403
1404 installcheck-am:
1405
1406 maintainer-clean: maintainer-clean-am
1407         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/nofftw/$(DEPDIR)
1408         -rm -f Makefile
1409 maintainer-clean-am: distclean-am maintainer-clean-generic
1410
1411 mostlyclean: mostlyclean-am
1412
1413 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1414         mostlyclean-libtool
1415
1416 pdf: pdf-am
1417
1418 pdf-am:
1419
1420 ps: ps-am
1421
1422 ps-am:
1423
1424 uninstall-am: uninstall-libscifftw_la_etcDATA \
1425         uninstall-libscifftw_la_rootDATA uninstall-pkglibLTLIBRARIES
1426
1427 .MAKE: check-am install-am install-strip
1428
1429 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1430         check-local clean clean-generic clean-libtool clean-local \
1431         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1432         ctags ctags-am distclean distclean-compile distclean-generic \
1433         distclean-libtool distclean-local distclean-tags distdir dvi \
1434         dvi-am html html-am info info-am install install-am \
1435         install-data install-data-am install-data-local install-dvi \
1436         install-dvi-am install-exec install-exec-am install-html \
1437         install-html-am install-html-local install-info \
1438         install-info-am install-libscifftw_la_etcDATA \
1439         install-libscifftw_la_rootDATA install-man install-pdf \
1440         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1441         install-ps-am install-strip installcheck installcheck-am \
1442         installdirs maintainer-clean maintainer-clean-generic \
1443         mostlyclean mostlyclean-compile mostlyclean-generic \
1444         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1445         uninstall-am uninstall-libscifftw_la_etcDATA \
1446         uninstall-libscifftw_la_rootDATA uninstall-pkglibLTLIBRARIES
1447
1448 .PRECIOUS: Makefile
1449
1450
1451 # This target enables tests for Scilab
1452 check-local: $(top_builddir)/scilab-bin test
1453         if test -d $(mydatadir)/tests; then \
1454           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1455         fi
1456 check-code:
1457         if test -f build.xml; then \
1458                 $(ANT) checkstyle; \
1459         fi
1460         if test -x "$(SPLINT)"; then \
1461                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1462         fi
1463 @NEED_JAVA_TRUE@java:
1464 # Some configurations needs to export JAVA_HOME in the current env
1465 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1466 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1467 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1468 @NEED_JAVA_TRUE@                $(ANT); \
1469 @NEED_JAVA_TRUE@        fi
1470
1471 @NEED_JAVA_TRUE@clean-java:
1472 # Some configurations needs to export JAVA_HOME in the current env
1473 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1474 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1475 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1476 @NEED_JAVA_TRUE@                $(ANT) clean; \
1477 @NEED_JAVA_TRUE@        fi;
1478
1479 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1480 # We call the target swig-build on the variable SWIG_WRAPPERS
1481
1482 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1483 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1484 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1485 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1486 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1487 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1488 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1489 @SWIG_TRUE@             done; \
1490 @SWIG_TRUE@     fi
1491
1492 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1493 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1494 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1495 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1496 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1497 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1498 @SWIG_TRUE@             done; \
1499 @SWIG_TRUE@     fi
1500
1501 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1502 # We call the target swig-build on the variable SWIG_WRAPPERS
1503
1504 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1505 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1506 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1507 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1508 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1509 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1510 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1511 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1512 @GIWS_TRUE@                     else \
1513 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1514 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1515 @GIWS_TRUE@                     fi \
1516 @GIWS_TRUE@             done; \
1517 @GIWS_TRUE@     fi
1518
1519 @GIWS_TRUE@giws-exception:
1520 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1521 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1522 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1523
1524 macros:
1525         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1526                 echo "Error : Cannot build $< : Scilab has not been built"; \
1527         else \
1528                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1529         fi)
1530
1531 # Removes the macros
1532 clean-macros:
1533 # Removes macros (*.bin generated from .sci)
1534         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1535                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1536                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1537         done
1538
1539 test:
1540 # More tests could be added here
1541         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1542         if test -f build.xml -a $$USEANT -eq 1; then \
1543                 $(ANT) test; \
1544         fi
1545
1546 all-local: $(TARGETS_ALL)
1547
1548 .sci.bin:
1549         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1550         echo "Error : Cannot build $< : Scilab has not been build"; \
1551         else \
1552         echo "Creating $@"; \
1553         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1554         fi )
1555
1556 install-html-local:
1557
1558 install-data-local-local:
1559 # Mainly for javasci
1560         @if test -d $(srcdir)/javadoc; then \
1561                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1562         fi
1563 # If the user wants the help sources to be installed
1564 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1565 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1566 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1567 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1568 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1569 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1570 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1571 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1572 @INSTALL_HELP_XML_TRUE@           done ; \
1573 @INSTALL_HELP_XML_TRUE@         fi; \
1574 @INSTALL_HELP_XML_TRUE@  fi; \
1575 @INSTALL_HELP_XML_TRUE@ done; \
1576 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1577 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1578 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1579 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1580 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1581 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1582 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1583 @INSTALL_HELP_XML_TRUE@           done ; \
1584 @INSTALL_HELP_XML_TRUE@         fi; \
1585 @INSTALL_HELP_XML_TRUE@ fi
1586 install-data-local:
1587 # Install the tests
1588         @echo "-------- Install tests (if any) --------"; \
1589         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1590           if test -d $(srcdir)/$$dir/; then \
1591             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1592                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1593                     if test -d "$(srcdir)/$$dir/$$file"; then \
1594                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1595                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1596                     else \
1597                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1598                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1599                     fi \
1600                   done; \
1601           fi; \
1602         done
1603 # Install the help chapter
1604         @echo "-------- Install the help chapter (if any) --------"; \
1605         for lang in $(HELP_CHAPTERLANG); do \
1606                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1607                 if test -f $$HELPFILE; then \
1608                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1609                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1610                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1611                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1612                 fi; \
1613         done
1614 # Install the demos & examples
1615         @echo "-------- Install demos & examples (if any) --------"; \
1616         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1617           if test -d $(srcdir)/$$dir/; then \
1618             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1619                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1620                     if test -d "$(srcdir)/$$dir/$$file"; then \
1621                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1622                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1623                     else \
1624                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1625                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1626                     fi \
1627                   done; \
1628           fi; \
1629         done
1630 # Install the macros
1631         @echo "-------- Install macros (if any) --------"; \
1632         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1633           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1634                 if test -d $(srcdir)/$$dir/; then \
1635                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1636                         if test -n "$(MACROSSPECIALEXT)"; then \
1637                                 specialExtDir=""; \
1638                                 for specialExt in $(MACROSSPECIALEXT); do \
1639                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1640                                 done; \
1641                                 FILELIST="$$FILELIST $$specialExtDir"; \
1642                         fi; \
1643                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1644                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1645                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1646                   done; \
1647                 fi; \
1648         done
1649 # Install java files (.jar)
1650         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1651         echo "-------- Install jar files --------"; \
1652     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1653           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1654                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1655                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1656           done ; \
1657         fi
1658
1659 ########### CLEAN ###################
1660 # Clean help (generated automatically by Scilab)
1661 # It used to clean the macro (clean-macros) but this was causing
1662 # make clean && make to fail Scilab startup
1663 @NEED_JAVA_TRUE@clean-local: clean-java
1664 @NEED_JAVA_FALSE@clean-local:
1665
1666 distclean-local:
1667         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1668
1669 .PHONY: macros java swig giws
1670
1671 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1672 # Otherwise a system limit (for SysV at least) may be exceeded.
1673 .NOEXPORT: